Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000827Core InformModel worldpublic2011-12-25 12:212014-05-07 07:33
ReporterFuchsia tude 
Assigned Tograham 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000827: Rules for supplying a missing noun while smelling and listening incorrectly abide by the basic accessibility rule
DescriptionEven if the player is inside a closed, opaque container, rules like the ambient odour and sound rules should supply a missing noun from the holder of the player, not the location.

It is pitch dark, and you can't see a thing.

The isolation chamber isn't open.

The isolation chamber isn't open.
Minimal Source Text To Reproduce
Treatment Lab is a room. The isolation chamber is a closed, openable, enterable container in the 
Treatment Lab. The player is in the isolation chamber.
Additional InformationReplacing the respective rules with reference to the holder of the player causes the expected behavior:

The localized ambient odor rule is listed instead of the ambient odour rule in the for supplying a missing noun rulebook.
Rule for supplying a missing noun while an actor smelling (this is the localized ambient odor rule):
now the noun is the holder of the player.

The localized ambient sound rule is listed instead of the ambient sound rule in the for supplying a missing noun rulebook.
Rule for supplying a missing noun while an actor listening (this is the localized ambient sound rule):
now the noun is the holder of the player.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
zarf (developer)
2012-01-02 19:23

I think "Even" in your first sentence is a typo? Your solution doesn't seem to be consistent with your statement of the problem.

The supplying-missing-noun rules have nothing to do with basic accessibility. Currently, they return an object (the room) which then violates the accessibility rule.

I think that, in general, they should return the visibility ceiling rather than the location. This would be the location if the chamber is open, or the chamber if the chamber is closed.
zarf (developer)
2012-01-02 19:36

Hm. Visibility ceiling is wrong. (If the container is closed but transparent, the visibility ceiling is not touchable.)

I'd say use the touchability ceiling, but the library doesn't define such a concept (at least not directly).
EmacsUser (manager)
2012-02-03 08:11

After some discussion, confirmed.
graham (administrator)
2014-02-13 15:57

They now supply the touchability ceiling, as Zarf suggests, or more accurately the outermost object which can be touched from the inside, applying the reaching outside rules. There's no perfect solution here, but this is better.

- Issue History
Date Modified Username Field Change
2011-12-25 12:21 Fuchsia tude New Issue
2012-01-02 19:23 zarf Note Added: 0001509
2012-01-02 19:36 zarf Note Added: 0001510
2012-02-03 08:11 EmacsUser Note Added: 0001573
2012-02-03 08:11 EmacsUser Status new => confirmed
2012-02-03 08:11 EmacsUser Category Rules and rulebooks => Model world
2014-02-13 15:57 graham Note Added: 0002490
2014-02-13 15:57 graham Status confirmed => resolved
2014-02-13 15:57 graham Resolution open => fixed
2014-02-13 15:57 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker